object DataModule1: TDataModule1
  OldCreateOrder = False
  OnCreate = DataModuleCreate
  Left = 215
  Top = 103
  Height = 480
  Width = 696
  object DSbiolife: TDataSource
    DataSet = biolife
    Left = 48
    Top = 24
  end
  object biolife: TTable
    DatabaseName = 'DBDEMOS'
    TableName = 'biolife.db'
    Left = 154
    Top = 26
  end
  object orders: TTable
    DatabaseName = 'DBDEMOS'
    TableName = 'orders.db'
    Left = 156
    Top = 84
    object ordersOrderNo: TFloatField
      DisplayWidth = 5
      FieldName = 'OrderNo'
      DisplayFormat = #39'#'#39'0000'
    end
    object ordersCustNo: TFloatField
      Alignment = taLeftJustify
      CustomConstraint = 'CustNo IS NOT NULL'
      ConstraintErrorMessage = 'CustNo cannot be blank'
      DisplayWidth = 5
      FieldName = 'CustNo'
      Required = True
      DisplayFormat = 'CN 0000'
      MaxValue = 9999
      MinValue = 1000
    end
    object ordersEmpNo: TIntegerField
      CustomConstraint = 'Value > 0'
      ConstraintErrorMessage = 'EmpNo cannot be 0 or negative'
      DisplayWidth = 5
      FieldName = 'EmpNo'
      Required = True
      DisplayFormat = 'Emp'#39'#'#39' 0000'
      MaxValue = 9999
      MinValue = 1
    end
    object ordersAmountPaid: TCurrencyField
      FieldName = 'AmountPaid'
    end
    object ordersSaleDate: TDateTimeField
      DisplayWidth = 10
      FieldName = 'SaleDate'
    end
    object ordersShipDate: TDateTimeField
      DisplayWidth = 10
      FieldName = 'ShipDate'
    end
    object ordersShipToContact: TStringField
      FieldName = 'ShipToContact'
    end
    object ordersShipToAddr1: TStringField
      FieldName = 'ShipToAddr1'
      Size = 30
    end
    object ordersShipToAddr2: TStringField
      FieldName = 'ShipToAddr2'
      Size = 30
    end
    object ordersShipToCity: TStringField
      FieldName = 'ShipToCity'
      Size = 15
    end
    object ordersShipToState: TStringField
      FieldName = 'ShipToState'
    end
    object ordersShipToZip: TStringField
      FieldName = 'ShipToZip'
      Size = 10
    end
    object ordersShipToCountry: TStringField
      FieldName = 'ShipToCountry'
    end
    object ordersShipToPhone: TStringField
      FieldName = 'ShipToPhone'
      Size = 15
    end
    object ordersShipVIA: TStringField
      FieldName = 'ShipVIA'
      Size = 7
    end
    object ordersPO: TStringField
      FieldName = 'PO'
      Size = 15
    end
    object ordersTerms: TStringField
      FieldName = 'Terms'
      Size = 6
    end
    object ordersPaymentMethod: TStringField
      FieldName = 'PaymentMethod'
      Size = 7
    end
    object ordersItemsTotal: TCurrencyField
      FieldName = 'ItemsTotal'
    end
    object ordersTaxRate: TFloatField
      FieldName = 'TaxRate'
      DisplayFormat = '0.00%'
      MaxValue = 100
    end
    object ordersFreight: TCurrencyField
      FieldName = 'Freight'
    end
  end
  object QEmployee: TQuery
    DatabaseName = 'DBDEMOS'
    DataSource = DSorders
    SQL.Strings = (
      'select * from'
      'employee'
      'where EmpNo = :EmpNo')
    Left = 156
    Top = 180
    ParamData = <
      item
        DataType = ftInteger
        Name = 'EmpNo'
        ParamType = ptUnknown
      end>
  end
  object DSorders: TDataSource
    DataSet = orders
    Left = 48
    Top = 80
  end
  object customer: TTable
    DatabaseName = 'DBDEMOS'
    MasterSource = DSorders
    TableName = 'customer.db'
    Left = 156
    Top = 136
  end
  object DScustomer: TDataSource
    DataSet = customer
    Left = 48
    Top = 132
  end
  object DSEmployee: TDataSource
    DataSet = QEmployee
    Left = 48
    Top = 180
  end
end
